# class Rake::FileCreationTask

A FileCreationTask is a file task that when used as a dependency will be needed if and only if the file has not been created. Once created, it is not re-triggered if any of its dependencies are newer, nor does trigger any rebuilds of tasks that depend on it whenever it is updated.

### Public Instance Methods

needed?() click to toggle source

Is this file task needed? Yes if it doesn't exist.

    # File lib/rake/file_creation_task.rb, line 14
    def needed?
      !File.exist?(name)
    end

timestamp() click to toggle source

Time stamp for file creation task. This time stamp is earlier than any other time stamp.

    # File lib/rake/file_creation_task.rb, line 20
    def timestamp
      Rake::EARLY
    end